Bug 133023 - CAN-2004-0902 "send page" heap based buffer overflow
CAN-2004-0902 "send page" heap based buffer overflow
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mozilla (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
: Security
Depends On:
  Show dependency treegraph
Reported: 2004-09-20 18:07 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 10:19:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Final patch for this issue (8.75 KB, patch)
2004-09-23 09:42 EDT, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2004-09-20 18:07:03 EDT
The "send page" function can overrun the heap on very long links. With
compelling content that people will want to forward to all their
friends and the right link this could be used to execute arbitrary code.

for more information.
Comment 1 Josh Bressers 2004-09-20 18:26:55 EDT
This issue is going to be RHSA-2004:486.
Comment 2 Josh Bressers 2004-09-23 09:42:14 EDT
Created attachment 104187 [details]
Final patch for this issue
Comment 3 Josh Bressers 2004-09-30 10:19:59 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.